{ config, pkgs, ... }:

{
  environment.systemPackages = with pkgs.haskellPackages; with pkgs; [
    stdenv
    nox
    wget
    neovim
    zsh
    gitFull gitAndTools.hub tig
    gnumake
    m4
    screen
    psmisc
    pkgs.parallel
    gnupg
    pwgen
    gcc
    silver-searcher
    fzf
    tree
    python
    python3
    python3Packages.ipython
    gdb
    bind nmap tcpdump telnet
    dstat
    which
    zip
    file
    unzip
    elinks
    ctags
    nix-prefetch-scripts
    nix-repl
    jq
  ];

  environment.variables.EDITOR = "${pkgs.neovim}/bin/nvim";

  programs.zsh = {
    enable = true;
    promptInit = "";
  };

  programs.bash = {
    enableCompletion = true;
  };
}
